Intrusion Prevention

EOS.Binaryen.Library.Heap.Buffer.Overflow

Description

This indicates an attack attempt against a Buffer Overflow vulnerability in EOS Binaryen Library.
The vulnerability is due to an error when the vulnerable software handles a maliciously crafted file. A remote attacker may be able to exploit this to execute arbitrary code within the context of the application, via a crafted file.

Affected Products

EOS Binaryen Library

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Fetch latest Binaryen repository from https://github.com/EOSIO/binaryen or https://github.com/WebAssembly/binaryen.